Subject: (SC22docs.448) SC22 N2669 - SC22 Chairman Report on JTC 1 Ad Hocs

From: John C Klensin <[email-masked]>
Date: Sun, 01 Mar 1998 14:31:27 -0500 (Eastern Standard Time)

On Sat, 28 Feb 1998 22:01:53 -0500 "James W. Moore, reply to 
[email-masked]" <[email-masked]> wrote:

> I have a question about the Chairman's report:
>...
> >* Elimination of Word 7.0 as an acceptable document distribution format;
> 
> As written, this seems to be a mistake. Although there is a version of
> Microsoft Word designated as Version 7.0, it produces the same format as
> Microsoft Word Version 6.0.  If JTC1 wishes to abolish the Word 7 format, then
> it also abolishes the Word 6.

I wondered about that too, but, while the basic formats are the 
same, Word 7 (known officially as "Microsoft Word for Windows 
95" will sometimes insert controls that Word 6 does not 
understand (this is, of course, undocumented).  And Word 6 
processors will respond to at least some of those Word 7 
controls with a magnificant "error message" that starts out 
"General Protection Fault...".  So banning it, or forcing 
explicit Word 6 downgrading is perhaps rational.  

"Word 8" (Microsoft Office 97 Word) is, as you point out, worse, 
since it actually does involve changed formats (although there is
a little-known albeit Microsoft-produced plugin for Word 6 or 7 
that can down-convert that format on the receiving end).
 
> I would suggest that what is meant is that JTC1 does not allow the "Word 97"
> format. That is, in fact, a different format from Word 6.

While JTC1 seems to have no interest in listening, the real 
problem here continues to be the adoption of a highly 
proprietary, undocumented, non-standard format that can change 
without notice and substantially at the whim of the vendor.  
There are no guarantees that documents created and stored in 
machine-readable form today will be readable tomorrow, the 
format is unsupported on a number of popular operating systems, 
and so on.  I continue to believe that ISO would be better 
served long-term by creating an appropriately simply SGML DTD 
and then letting Member Bodies, SCs, and WGs either use it with 
an SGML processor or with a stripped-down processor for that DTD 
only (perhaps translating into "word processor" formats for 
final formatting and printing) that ISO might commission for 
distribution to Member Bodies at very low cost.  But I've seen 
no sympathy for that approach and surprisingly little 
sensitivity to either the technical/archival or the political 
and ISO credibility issues associated with endorsing Word.

A different alternative would be to accept/require HTML, ideally 
an HTML subset that was easy to handle and browser independent, 
and to use it in conjunction with an ISO-specified Style sheet.  
Even MS Word 97 can produce a plausible approximation to HTML, 
so that might be a plausible course of action for those who are 
convinced that Word is the *real* International Standard.  But I 
haven't seen much sympathy for that position either.

    john